from jetforce import GeminiServer
from jetforce.app.composite import CompositeApplication
from app import app

composite_app = CompositeApplication(
    {
        "cosmic.voyage": app,
        "cosmiclbou7ypgww4lcs4an3z6otqoevqk6q5jcxml7v7geqml7dlyad.onion": app,
        None: app,
    }
)

if __name__ == "__main__":
    server = GeminiServer(composite_app, host="::", certfile="/etc/gemini/cosmic.voyage.crt", keyfile="/etc/gemini/cosmic.voyage.key")
    server.run()
